<!DOCTYPE html>
<html>
<head>
	<title>Học JavaScript</title>
	<meta charset="utf-8">
</head>
<body>
<script type="text/javascript">
	document.write("Nguyen Hai Yen");
	var name = "Yen";
	document.write(name);
	var ten = prompt('Xin chao!');
	ten;
	var lever = 1;
	lever = lever +1;
	alert(lever);
	var xp = 0;
	xp = 150 * (lever-1)+200;
	alert(xp);
	var skillPoints = 5;
	skillPoints=skillPoints +xp /10;
	alert(skillPoints);

	var strenght = 0.6 * skillPoints + 0.1 * xp;
	var agility = 0.2 * skillPoints + 0.2 * xp;
	var intel = 0.2 * skillPoints + 10 * lever;
	alert(" Chỉ số strenght của bạn là " + strenght);

	// so sánh 2 biến String
	var test1 = ("Javascript" === "JAVAscript ");
	var test2 = ("Javascript" === "Javascript");
	var test3 = ("Javascript" !== "javascript");
	console.log(test1);
	console.log(test2);
	console.log(test3);

	//so sanh 2 bien number
	test1 = (1>2);
	test2 = (0 < -5);
	test3 = (1.5 === 1.49999);
	console.log(test1);
	console.log(test2);
	console.log(test3);

	//so sanh 2 bieu thuc number
	test1 = (1 - 2 + 3 - 4) <= 5;
	test2 = (1 - 2 + 3 - 4)/5 >= 1;
	console.log(test1);
	console.log(test2);
 
	// So sánh 1 biến Number và 1 biến String
	test3 = 15 === "15";
	console.log(test3);

		/* Câu lệnh if thông thường
	* ------------------------
	* Biểu thức
	* Khi biểu thức logic trong ngoặc
	*/
	var level = prompt('Nhap lever của bạn:');
	if (level < 4) {
	console.log('Bạn chưa đạt cấp độ tối thiểu để tham gia thử thách.');
	}
	 
	// Câu lệnh if...else
	if (level >= 4) {
	console.log('Bạn đã đủ cấp độ để tham gia thử thách level 4.');
	} else {
	console.log('Bạn cần đạt ít nhất level 4 để tham gia thử thách.');
	}
	 
	// Câu lệnh if...else if...else
	if (level > 4) {
	console.log('Bạn dư sức vượt qua thử thách level 4.');
	} else if (level === 4) {
	console.log('Bạn đủ sức vượt qua thử thách level 4.');
	} else {
	console.log('Về uống sữa thêm cho mau lớn nha cưng!');
	}
	 
	// Ở phần 1, bạn đã khai báo biến <code>ten</code>
	// và sử dụng để giữ giá trị về tên Anh Hùng của bạn
	// Ta sẽ kiểm tra xem bạn có thể gọi lại chính xác không
	// để thưởng hoặc phạt theo kết quả
	var kiemTraTen = prompt('Tên Anh Hùng của bạn là gì?');
	if (kiemTraTen === ten) {
	console.log('Chính xác! Bạn có trí nhớ rất tốt! intel +5!');
	intel = intel + 5;
	} else {
	console.log('Tệ thật! Tên chính mình mà không nhớ sao?! intel -5!');
	intel = intel - 5;
	}


	
	console.log(luachon);
	console.log(strenght);
	console.log(agility);
	console.log(intel);
	var luachon = prompt('Bạn muốn chọn cấp nào? a: Chiến binh | b: Sát thủ | c: Thợ Săn');
	if (luachon === 'a') {
	phancap = "Chiến Binh";
	strenght = strenght + 15;
	agility = agility - 10;
	intel = intel - 5;
	console.log("Chúc mừng bạn! Chiến Binh ra đòn có sát thương rất cao.");
	} else if (luachon === 'b') {
	phancap = "Sát Thủ";
	strenght = strenght - 15;
	agility = agility + 10;
	intel = intel + 5;
	console.log("Chúc mừng bạn! Sát Thủ rất dễ né tránh các đòn tấn công.");
	} else if (luachon === 'c') {
	phancap = "Thợ Săn";
	strenght = strenght - 15;
	intel = intel + 15;
	console.log("Chúc mừng bạn! Thợ Săn có khả năng tấn công chí mạng cao!");
	} else {
	console.log("Bạn không chọn phân cấp Anh Hùng nào.");
	}

	// Ví dụ vòng lặp while
	var i = 1;
	while (i < 10) {
	console.log(i);
	i++;
	}
	console.log(i);
	 
	// Ví dụ vòng lặp for
	for (var j = 1; j < 10;j++) {
	console.log(j);
	}
	console.log(j);

	Math.random(10);

	level = 5; // Đảm bảo bạn sẽ ở cấp độ 5
	var health=level*100;// Khi lượng máu <= 0 thì bạn sẽ chết
	console.log(strenght); // Quyết định mức sát thương
	console.log(agility); // Quyết định xác suất né đòn
	console.log(intel); // Quyết định xác suất chí mạng

	var dragonHealth = 600;
	var dragonStr = 100;
	var dragonAgi = 15;
	var dragonInt = 80;

	var gameContinue = true;
	while(gameContinue) {
	// Anh hùng tấn công!
	var heroHit = Math.random()*100 > dragonAgi;
	if (heroHit) {
	dragonHealth = dragonHealth - strenght;
	alert('TRẢM LONG! Bạn gây sát thương '+strenght+' điểm cho Rồng!');
	var heroCritical = Math.random()*100 < intel;
	if (heroCritical) {
	dragonHealth = dragonHealth - strenght*2; // Double damage
	alert('CHÍ MẠNG! Bạn gây sát thương chí mạng thêm '+strenght*2+' điểm cho Rồng!');
	}
	} else alert('XÍ HỤT! Rồng đã lượn tránh được đòn tấn công của Bạn!');
	 
	// Rồng tấn công!
	var dragonHit = Math.random()*100 > agility;
	if (dragonHealth <= 0) {
	// Rồng lên bàn thờ
	gameContinue = false;
	alert('CHIẾN THẮNG!!! Chúc mừng bạn đã chiến thắng!!!');
	} else {
	if (dragonHit) {
	health = health - dragonStr;
	alert('HỎA CẦU! Rồng gây sát thương '+dragonStr+' điểm cho Bạn!');
	var dragonCritical = Math.random()*100 < dragonInt;
	if (dragonCritical) {
	health = health - dragonStr*2; // Double damage
	alert('CHÍ MẠNG! Rồng gây sát thương chí mạng thêm '+dragonStr*2+' điểm cho Bạn!');
	}
	} else alert('XÍ HỤT! Bạn đã tránh được đòn tấn công từ Rồng!');
	}
	 
	// Kiểm tra xem Anh Hùng có bị nướng?!
	if (health <= 0) {
	gameContinue = false;
	alert('THẤT BẠI!!! Chúc mừng bạn đã có tên trên menu món tối của Rồng: Hiệp sĩ nướng lá lốt!');
	}
	};
	// Tạo hàm gây sát thương để giảm máu
	// Tham số truyền vào: biến Number satThuong
	// Kết quả trả về: biến Number luongMauHienTai
	function gaySatThuong(luongMauHienTai, satThuong) {
	luongMauHienTai = luongMauHienTai - satThuong;
	return luongMauHienTai;
	}
	 
	// Để sử dụng hàm, bạn cần phải gọi hàm
	var luongMau = 100;
	var satThuong = 49;
	var luongMauConLai = gaySatThuong(luongMau, satThuong);
	console.log(luongMauConLai);

	// Cú pháp khai báo 1 đối tượng
	var RongGia = {
	// Khai báo các thuộc tính
	name: 'Rồng Già',
	phanLop: 'Rồng',
	age: 6969,
	health: 600,
	strength: 100,
	agility: 15,
	intel: 80,
	 
	// Khai báo các phương thức
	bay: function() {
	console.log('Flappy Dragon!');
	},
	phunLửa: function() {
	console.log('Rồng phun lửa');
	},
	ngủ: function() {
	console.log('Zzz... Zzz...');
	}
	};
	 
	// Sử dụng các thuộc tính như biến thông thường
	console.log(RongGia.name);
	console.log(RongGia.phanLop);
	console.log(RongGia.age);
	 
	// Sử dụng phương thức như gọi hàm bình thường
	RongGia.bay();
	RongGia.phunLửa();
	RongGia.ngủ();
	 
	// Bạn cũng có thể thêm các thuộc tính và phương thức
	// sau khi đã khởi tạo đối tượng
	RongGia.level = 10;
	RongGia.chết = function() {
	console.log('Rồng lên bàn thờ!');
	};




	// Khai báo và khởi tạo mảng ví dụ
	var phanlopAnhHung = ['Chiến Binh','Sát Thủ','Thợ Săn'];
	console.log(phanlopAnhHung.length);
	console.log(phanlopAnhHung[0]);
	console.log(phanlopAnhHung[1]);
	console.log(phanlopAnhHung[phanlopAnhHung.length - 1]);
	// hàm console.log() rất hữu ích để xem toàn bộ phần tử trong mảng
	console.log(phanlopAnhHung);
	 
	// Mảng rỗng
	var danhHieu = [];
	 
	// Thêm phần tử mới
	danhHieu.push('Dũng sĩ diệt rồng');
	console.log(danhHieu);
	phanlopAnhHung.push('Anh Hùng');
	console.log(phanlopAnhHung.length);
	console.log(phanlopAnhHung[phanlopAnhHung.length - 1]);
	 
	// Truy xuất từng phẩn tử trong mảng với vòng lặp
	var soPhanTu = phanlopAnhHung.length;
	for (var i=0; i < soPhanTu; i++) {
	console.log(phanlopAnhHung[i ]);
	}


	
	var mtraloi = [];
	var mcauhoi = ['Bạn có người yêu chưa?','Bạn có thích ăn rau dền không?','Người yêu bạn có thích ăn rau dền không?'];
	for(var i = 0; i<3;i++){
		var traloi = prompt(mcauhoi[i]);
		mtraloi.push(traloi);
	}

	for (var i = 0; i < 3; i++) {
		alert(mtraloi[i]);
	}

</script>
</body>
</html>